Farbeam
Docs / API: Transactions

Transaction lookup

Returns status, fee, parties and decoded token movements of one transaction.

GET/api/v1/tx/{chain}/{hash}
PropertyValue
AuthenticationOptional. A key raises your limit.
Rate-limit cost2 units
StatusLive

#Parameters

NameInTypeRequiredDescription
chainpathstringYesOne of ethereum, base, bnb, arbitrum, optimism, polygon, solana.
hashpathstringYes0x hash on EVM chains, base58 signature on Solana.

#Request

curl -s "https://farbeamlabs.com/api/v1/tx/ethereum/<hash>"
const res = await fetch("https://farbeamlabs.com/api/v1/tx/ethereum/<hash>");
const { data, meta, error } = await res.json();
if (error) throw new Error(`${error.code}: ${error.message}`);
console.log(data);
import os, requests

res = requests.get(
    "https://farbeamlabs.com/api/v1/tx/ethereum/<hash>",
    timeout=30,
)
body = res.json()
if "error" in body:
    raise RuntimeError(body["error"]["code"])
print(body["data"])

You can send this request now in the API playground.

#Response

This response is real. It was captured from the running API when this page was built. Arrays are cut to two items.

JSON
{
  "data": {
    "chain": "ethereum",
    "hash": "0xc613d9da59a1f0c4b39e90cc6ab7d991a4822a976fa28cddd1cbd29a1174f418",
    "status": "success",
    "block": 26343752,
    "ts": 1793823035000,
    "from": "0xd1dd6d99c5fb5d31ff52eacce5046c7158859e85",
    "to": "0x3b4d794a66304f130a4db8f2551b0070dfcf5ca7",
    "from_label": null,
    "to_label": null,
    "value": {
      "symbol": "ETH",
      "amount": 0,
      "usd": 0
    },
    "method": "0x8a857083",
    "nonce": 400,
    "gas_used": 148813,
    "gas_price_gwei": 0.154042,
    "fee": {
      "symbol": "ETH",
      "amount": 2.292345809852e-05
    },
    "log_count": 3,
    "token_transfers": [
      {
        "token": "USDC",
        "token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
        "amount": 2500000,
        "from": "0xd1dd6d99c5fb5d31ff52eacce5046c7158859e85",
        "to": "0x3b4d794a66304f130a4db8f2551b0070dfcf5ca7",
        "from_label": null,
        "to_label": null
      }
    ],
    "explorer": "https://etherscan.io/tx/0xc613d9da59a1f0c4b39e90cc6ab7d991a4822a976fa28cddd1cbd29a1174f418"
  },
  "meta": {
    "request_id": "req_a77764210e75",
    "as_of": "2026-11-04T20:10:56.748Z"
  }
}

#Fields

FieldTypeDescription
data.statusstringsuccess, failed or pending.
data.methodstringEVM. Known method name, or the 4-byte selector.
data.token_transfers[]arrayEVM. Decoded ERC-20 Transfer logs, at most 60.
data.token_changes[]arraySolana. Token balance change per owner.
data.sol_changes[]arraySolana. SOL balance change per account.
data.explorerstringLink to a public explorer.

#Errors

HTTPCodeMeaning
400invalid_chainThe chain is unknown.
400invalid_hashThe hash format does not match the chain.
404not_foundThe item does not exist.
502upstream_unavailableA public data source did not answer.

All errors share one format. See errors.